Package org.apache.lucene.search.matchhighlight

# Class BreakIteratorShrinkingAdjuster

java.lang.Object
org.apache.lucene.search.matchhighlight.BreakIteratorShrinkingAdjuster

All Implemented Interfaces:
  `PassageAdjuster`

public class BreakIteratorShrinkingAdjuster extends Object implements PassageAdjuster
A `PassageAdjuster` that adjusts the `Passage` range to word boundaries hinted by the given `BreakIterator`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BreakIteratorShrinkingAdjuster()`
  `BreakIteratorShrinkingAdjuster(BreakIterator bi)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OffsetRange`
  `adjust(Passage passage)`
  `void`
  `currentValue(CharSequence value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BreakIteratorShrinkingAdjuster

    public BreakIteratorShrinkingAdjuster()

  - ### BreakIteratorShrinkingAdjuster

    public BreakIteratorShrinkingAdjuster(BreakIterator bi)

- ## Method Details

  - ### currentValue

    public void currentValue(CharSequence value)
    Specified by:
      `currentValue` in interface `PassageAdjuster`

  - ### adjust

    public OffsetRange adjust(Passage passage)
    Specified by:
      `adjust` in interface `PassageAdjuster`